
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "entruby/version"

Gem::Specification.new do |spec|
  spec.name          = "entruby"
  spec.version       = Entruby::VERSION
  spec.authors       = ["Canmor Lam"]
  spec.email         = ["canmor.lam@gmail.com"]

  spec.summary       = "Entropy in ruby"
  spec.description   = "Entropy in ruby"
  spec.homepage      = "https://canmor.lams.io"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end + Dir["vendor/**/*"].reject { |f| f.match(%r{(report\.json|\.map)$}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "nokogiri", "~> 1.10"
  spec.add_runtime_dependency "doxyparser", "~> 1.5"
  spec.add_runtime_dependency "launchy", "~> 2.5"
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry"
end
